var kg = {};
// 按比例调整图像大小，获取源图片大小，按比例缩小至指定大小，保证图片缩小不变形。该方法无需Jq支持
// 注意必须加一个外围容器指定同当前图片大小，并隐藏超出部分。img标签中须定义 width 和 height，此方法会自动获取该值
// @param object a：this
// @example：<img onload="mle.img_auto_size(this)" src="{:$p['picture'][1]:}" width="400" height="400" />
kg.img_auto_size = function(a) {
    // alert(a.src + "\r\n" + a.width + "\r\n" + a.height);
    if (!isNaN(a.width) && !isNaN(a.height)) { // 获取缩略图规格成功
        // 获取源图片实际规格
        var img = new Image();
        // img 标签中的 onload 事件不符合 W3C 标准，可能有部分浏览器不支持，
        // 这里使用 img.onload 事件很有必要，确保图片下载完毕以获取源图片实际规格
        img.onload = function() {
            if (!isNaN(img.width) && !isNaN(img.height)) { // 源图片规格获取成功
                var offset = 0; // 多余边缘偏移值初始化，单位：px
                var narrow_w = img.width / a.width; // 宽度需要缩小的倍数
                var narrow_h = img.height / a.height; // 高度需要缩小的倍数
                // 重新调整图片大小并浮动
                if (narrow_w <= narrow_h) {
                    // 高度有超出，超出部分上下各隐藏 50%，保持图片中心点
                    offset = 0 - Math.round((img.height / narrow_w - a.height) / 2);
                    a.style.width = a.width + 'px'; // 固定宽度
                    a.style.height = 'auto'; // 自动高度
                    if (offset < 0) a.style.marginTop = offset + 'px'; // 高度有超出，超出部分上下各隐藏 50%
                } else {
                    // 宽度有超出，超出部分左右各隐藏 50%，保持图片中心点
                    offset = 0 - Math.round((img.width / narrow_h - a.width) / 2);
                    a.style.width = 'auto'; // 自动宽度
                    a.style.height = a.height + 'px'; // 固定高度
                    if (offset < 0) a.style.marginLeft = offset + 'px'; // 高度有超出，超出部分上下各隐藏 50%              
                }
            }
        }
        img.src = a.src; // 要获取的源图片 URL
    }
};
//判断两个子元素的宽度和是否等于小于父类box的宽度， 需要一个类名为ngco-reul的样式支持
function if_Linefeed(fubox,zi1,zi2){
    var fu_wid= $("."+fubox).width();
    var zi1_wid= $("."+zi1).width();
    var zi2_wid= $("."+zi2).width();
    var sum_ziwid=zi1_wid+zi2_wid+5.5;
        if(fu_wid <= sum_ziwid){
            if( !$("."+zi2).is(".ngco-reul")){
                $("."+zi2).addClass("ngco-reul");
            }
        }else{
            $("."+zi2).removeClass("ngco-reul");
        }
}
//全选/取消全选，对指定表单内的复选框进行全选或取消。例:<input name="all" type="checkbox" onclick="kg.select_all(this.form);">
kg.select_all = function(form) {
	for (var i = 0; i < form.elements.length; i++) {
		var e = form.elements[i];
		if (e.Name != "all" && e.disabled != true && e.type == 'checkbox') {
			e.checked = form.all.checked;
		}
	}
};

$(function() {
    // 搜索框
    // $('#search').css('width','111px');
    $('#search-img').on('click', function() {
        $('#search-img').animate({
            width: '230px'
        }, 400);
    });
    $('.search').blur(function() {
        $("#search-img").animate({
            width: '179px'
        }, 400);
    })
    $(window).on("scroll", function() {
        //判断向下滑动的距离
        if ($(window).scrollTop() >= 100) {
            //将顶部导航栏固定
            //$("nav").addClass("fixed");
            $('#hidden-nav').removeClass("right-hidden");
        } else {
            //$("nav").removeClass("fixed");
            $('#hidden-nav').addClass("right-hidden");
        }
    });
    //左侧导航
    $('#left-nav li').on('click', function() {
        $(this).siblings().removeClass('active');
        $(this).addClass('active');
    });
    $("#left-nav li").not('li:last').hover(function() {
        if (!$(this).hasClass('active')) {
            $(this).stop();
            $(this).parents().stop();
            $(this).animate({
                left: '20px'
            });
        }
    }, function() {
        $(this).stop();
        $(this).parents().stop();
        $(this).animate({
            left: '0px'
        });
    });
    //头部搜索
    $(".ngsty-searchL").on("click", function() {
        $("#ngjs-form").submit();
    })
    $(".ngsty-searchL").on("click", function() {
        $("#ngjs-form2").submit();
    })
    
    // /*IE兼容性处理*/
    // 获取IE版本
    // 取得浏览器的userAgent字符串
    var userAgent = navigator.userAgent;
    // 判断是否为小于IE11的浏览器
    var isLessIE11 = userAgent.indexOf('compatible') > -1 && userAgent.indexOf('MSIE') > -1;
    // 判断是否为IE的Edge浏览器
    var isEdge = userAgent.indexOf('Edge') > -1 && !isLessIE11;
    // 判断是否为IE11浏览器
    var isIE11 = userAgent.indexOf('Trident') > -1 && userAgent.indexOf('rv:11.0') > -1;
    if (isLessIE11) {
        var IEReg = new RegExp('MSIE (\\d+\\.\\d+);');
        // 正则表达式匹配浏览器的userAgent字符串中MSIE后的数字部分，，这一步不可省略！！！
        IEReg.test(userAgent);
        // 取正则表达式中第一个小括号里匹配到的值
        var IEVersionNum = parseFloat(RegExp['$1']);
        if (IEVersionNum === 7) {
            // IE7
        } else if (IEVersionNum === 8) {
            // IE8
            console.log("ie8");
        } else if (IEVersionNum === 9) {
            // IE9
            $(".ngsty-insearch").css("padding-top", "2px");
            $(".ngsty-insearch").css("padding-bottom", "6px");
            console.log("ie9");
        } else if (IEVersionNum === 10) {
            // IE10
            $(".ngsty-insearch").css("padding-top", "2px");
            $(".ngsty-insearch").css("padding-bottom", "6px");
            console.log("ie10");
        } else {
            // IE版本<7
        }
    } else if (isEdge) {
        // edge
    } else if (isIE11) {
        // IE11
        $(".ngsty-sear ").css("background", "none")
    } else {
        // 不是ie浏览器
    }
    // /*IE兼容性处理结束  */
    // 发布时间宽度自适应
    if_Linefeed("panel-body","sty-title","ul-Ksty");
    $(window).resize(function() {
        if_Linefeed("panel-body","sty-title","ul-Ksty");
    });

	//头部个人中心pc与手机
	isheader_userurl()
})

let isheader_userurl = () =>{
	let http_agent = $('.user_center_url').attr('http-agent')
	let href = ['user/center','user/center_nav_mobile']
	let index = /Android|webOS|iPhone|iPod|BlackBerry/i.test(http_agent)?1:	0
	$('.user_center_url').attr('href',href[index])
}